# HookModifier(Modifier)

base classes — `bpy_struct`, `Modifier`

class `bpy.types.``HookModifier`(Modifier)

  Hook modifier to modify the location of vertices

  `center`

    Type: | float array of 3 items in [-inf, inf], default (0.0, 0.0, 0.0)

  `falloff_curve`

    Custom Lamp Falloff Curve

    Type: | `CurveMapping`, (readonly)

  `falloff_radius`

    If not zero, the distance from the hook where influence ends

    Type: | float in [0, inf], default 0.0

  `falloff_type`

    Type: | enum in [‘NONE’, ‘CURVE’, ‘SMOOTH’, ‘SPHERE’, ‘ROOT’, ‘INVERSE_SQUARE’, ‘SHARP’, ‘LINEAR’, ‘CONSTANT’], default ‘NONE’

  `object`

    Parent Object for hook, also recalculates and clears offset

    Type: | `Object`

  `strength`

    Relative force of the hook

    Type: | float in [0, 1], default 0.0

  `subtarget`

    Name of Parent Bone for hook (if applicable), also recalculates and clears offset

    Type: | string, default “”, (never None)

  `use_falloff_uniform`

    Compensate for non-uniform object scale

    Type: | boolean, default False

  `vertex_group`

    Name of Vertex Group which determines influence of modifier per point

    Type: | string, default “”, (never None)

Inherited Properties

`bpy_struct.id_data` `Modifier.name` `Modifier.type` `Modifier.show_viewport` `Modifier.show_render` | `Modifier.show_in_editmode` `Modifier.show_on_cage` `Modifier.show_expanded` `Modifier.use_apply_on_spline`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`